__all__ = 'LogHistoryContainer'

import typing

from .list_container import ListContainer


if typing.TYPE_CHECKING:
    from .submit2gm_plugin import Submit2gmPlugin
    from .log_item import LogItem


class LogHistoryContainer(ListContainer):

    def __init__(self, plugin: 'Submit2gmPlugin', log_items: typing.List['LogItem']):
        ListContainer.__init__(self, plugin, log_items)
