from PySide2 import QtGui
from .constants import *


CHECKMARK_ICON_WHITE = QtGui.QIcon(str(CHECKMARK_ICON_WHITE_PATH))
CHECKMARK_ICON_BLACK = QtGui.QIcon(str(CHECKMARK_ICON_BLACK_PATH))
CHECKMARK_ICON_OFF_WHITE = QtGui.QIcon(str(CHECKMARK_ICON_OFF_WHITE_PATH))

DEPENDENCY_VIEW_ICON_BRAND = QtGui.QIcon(str(DEPENDENCY_VIEW_ICON_BRAND_PATH))

DIRECTORY_ICON_WHITE = QtGui.QIcon(str(DIRECTORY_ICON_WHITE_PATH))
DIRECTORY_ICON_BLACK = QtGui.QIcon(str(DIRECTORY_ICON_BLACK_PATH))
DIRECTORY_ICON_OFF_WHITE = QtGui.QIcon(str(DIRECTORY_ICON_OFF_WHITE_PATH))

DIRECTORY_OUTLINE_ICON_WHITE = QtGui.QIcon(str(DIRECTORY_OUTLINE_ICON_WHITE_PATH))
DIRECTORY_OUTLINE_ICON_BLACK = QtGui.QIcon(str(DIRECTORY_OUTLINE_ICON_BLACK_PATH))
DIRECTORY_OUTLINE_ICON_OFF_WHITE = QtGui.QIcon(str(DIRECTORY_OUTLINE_ICON_OFF_WHITE_PATH))

DIRECTORY_HIDDEN_ICON_WHITE = QtGui.QIcon(str(DIRECTORY_HIDDEN_ICON_WHITE_PATH))
DIRECTORY_HIDDEN_ICON_BLACK = QtGui.QIcon(str(DIRECTORY_HIDDEN_ICON_BLACK_PATH))
DIRECTORY_HIDDEN_ICON_OFF_WHITE = QtGui.QIcon(str(DIRECTORY_HIDDEN_ICON_OFF_WHITE_PATH))

EYE_ICON_WHITE = QtGui.QIcon(str(EYE_ICON_WHITE_PATH))
EYE_ICON_BLACK = QtGui.QIcon(str(EYE_ICON_BLACK_PATH))
EYE_ICON_OFF_WHITE = QtGui.QIcon(str(EYE_ICON_OFF_WHITE_PATH))

GM_ICON_WHITE = QtGui.QIcon(str(GM_ICON_WHITE_PATH))
GM_ICON_BLACK = QtGui.QIcon(str(GM_ICON_BLACK_PATH))
GM_ICON_BLACK_AND_WHITE = QtGui.QIcon(str(GM_ICON_BLACK_AND_WHITE_PATH))
GM_MAYA_ICON = QtGui.QIcon(str(GM_MAYA_ICON_PATH))

USER_ICON_WHITE = QtGui.QIcon(str(USER_ICON_WHITE_PATH))
USER_ICON_BLACK = QtGui.QIcon(str(USER_ICON_BLACK_PATH))
USER_ICON_OFF_WHITE = QtGui.QIcon(str(USER_ICON_OFF_WHITE_PATH))

TRASH_ICON_WHITE = QtGui.QIcon(str(TRASH_ICON_WHITE_PATH))
TRASH_ICON_BLACK = QtGui.QIcon(str(TRASH_ICON_BLACK_PATH))
TRASH_ICON_OFF_WHITE = QtGui.QIcon(str(TRASH_ICON_OFF_WHITE_PATH))

MENU_ICON_WHITE = QtGui.QIcon(str(MENU_ICON_WHITE_PATH))
MENU_ICON_BLACK = QtGui.QIcon(str(MENU_ICON_BLACK_PATH))
MENU_ICON_OFF_WHITE = QtGui.QIcon(str(MENU_ICON_OFF_WHITE_PATH))

NEW_JOB_PRESET_ICON_WHITE = QtGui.QIcon(str(NEW_JOB_PRESET_ICON_WHITE_PATH))
NEW_JOB_PRESET_ICON_BLACK = QtGui.QIcon(str(NEW_JOB_PRESET_ICON_BLACK_PATH))
NEW_JOB_PRESET_ICON_OFF_WHITE = QtGui.QIcon(str(NEW_JOB_PRESET_ICON_OFF_WHITE_PATH))

PROJECT_SELECT_ICON_WHITE = QtGui.QIcon(str(PROJECT_SELECT_ICON_WHITE_PATH))

LOCKED_ICON_WHITE = QtGui.QIcon(str(LOCKED_ICON_WHITE_PATH))
LOCKED_ICON_BLACK = QtGui.QIcon(str(LOCKED_ICON_BLACK_PATH))
LOCKED_ICON_OFF_WHITE = QtGui.QIcon(str(LOCKED_ICON_OFF_WHITE_PATH))

UNLOCKED_ICON_WHITE = QtGui.QIcon(str(UNLOCKED_ICON_WHITE_PATH))
UNLOCKED_ICON_BLACK = QtGui.QIcon(str(UNLOCKED_ICON_BLACK_PATH))
UNLOCKED_ICON_OFF_WHITE = QtGui.QIcon(str(UNLOCKED_ICON_OFF_WHITE_PATH))

INFO_ICON_WHITE = QtGui.QIcon(str(INFO_ICON_WHITE_PATH))
INFO_ICON_BLACK = QtGui.QIcon(str(INFO_ICON_BLACK_PATH))
INFO_ICON_OFF_WHITE = QtGui.QIcon(str(INFO_ICON_OFF_WHITE_PATH))

FILE_ICON_WHITE = QtGui.QIcon(str(FILE_ICON_WHITE_PATH))
FILE_ICON_BLACK = QtGui.QIcon(str(FILE_ICON_BLACK_PATH))

FILE_OUTLINE_ICON_WHITE = QtGui.QIcon(str(FILE_OUTLINE_ICON_WHITE_PATH))
FILE_OUTLINE_ICON_BLACK = QtGui.QIcon(str(FILE_OUTLINE_ICON_BLACK_PATH))
FILE_OUTLINE_ICON_OFF_WHITE = QtGui.QIcon(str(FILE_OUTLINE_ICON_OFF_WHITE_PATH))

NEW_FILE_ICON_WHITE = QtGui.QIcon(str(NEW_FILE_ICON_WHITE_PATH))
NEW_FILE_ICON_BLACK = QtGui.QIcon(str(NEW_FILE_ICON_BLACK_PATH))
NEW_FILE_ICON_OFF_WHITE = QtGui.QIcon(str(NEW_FILE_ICON_OFF_WHITE_PATH))

COPY_ICON_WHITE = QtGui.QIcon(str(COPY_ICON_WHITE_PATH))
COPY_ICON_BLACK = QtGui.QIcon(str(COPY_ICON_BLACK_PATH))
COPY_ICON_OFF_WHITE = QtGui.QIcon(str(COPY_ICON_OFF_WHITE_PATH))

CPS_CONNECTION_ACTIVE_GREEN = QtGui.QIcon(str(CPS_CONNECTION_ACTIVE_GREEN_PATH))

CONSOLE_ICON_WHITE = QtGui.QIcon(str(CONSOLE_ICON_WHITE_PATH))
CONSOLE_ICON_BLACK = QtGui.QIcon(str(CONSOLE_ICON_BLACK_PATH))
CONSOLE_ICON_OFF_WHITE = QtGui.QIcon(str(CONSOLE_ICON_OFF_WHITE_PATH))

UP_ARROW_ICON_WHITE = QtGui.QIcon(str(UP_ARROW_ICON_WHITE_PATH))
UP_ARROW_ICON_BLACK = QtGui.QIcon(str(UP_ARROW_ICON_BLACK_PATH))
UP_ARROW_ICON_OFF_WHITE = QtGui.QIcon(str(UP_ARROW_ICON_OFF_WHITE_PATH))

WARNING_ICON_OFF_WHITE = QtGui.QIcon(str(WARNING_ICON_OFF_WHITE_PATH))

BLENDER_ICON = QtGui.QIcon(str(BLENDER_ICON_PATH))
MAYA_ICON = QtGui.QIcon(str(MAYA_ICON_PATH))
MOE_ICON = QtGui.QIcon(str(MOE_ICON_PATH))
VRAY_ICON = QtGui.QIcon(str(VRAY_ICON_PATH))
EMPTY_ICON = QtGui.QIcon(str(EMPTY_ICON_PATH))

# images
GRIDMARKETS_IMAGE = QtGui.QPixmap(str(IMAGES_DIRECTORY / "gridmarkets_image.png"))

DEFAULT_TOP_BANNER_SHORT_IMAGE = QtGui.QPixmap(str(IMAGES_DIRECTORY / "top_banner_short.png"))
DEFAULT_TOP_BANNER_WIDE_IMAGE = QtGui.QPixmap(str(IMAGES_DIRECTORY / "top_banner_wide.png"))
