__all__ = 'ApplicationAttributeNotFound'

from gm_meta_plugin.errors.plugin_error import PluginError


class ApplicationAttributeNotFound(PluginError):

    def __init__(self, app, app_version, key):
        PluginError.__init__(self, "Could not find attribute '" + str(key) + "' for app '" + str(app) + " (" +
                             str(app_version) + ")'")
