__all__ = 'FilePacker'

from abc import abstractmethod

from .plugin_accessor import PluginAccessor


class FilePacker(PluginAccessor):

    def __init__(self, plugin):
        PluginAccessor.__init__(self, plugin)

    @abstractmethod
    def pack(self, target_file, output_dir):
        raise NotImplementedError
