__all__ = 'MachineOption'


class MachineOption:

    def __init__(self, machine_id, name, is_default, is_gpu):
        self._machine_id = machine_id
        self._name = name
        self._is_default = is_default
        self._is_gpu = is_gpu

    def get_id(self):
        return self._machine_id

    def get_name(self):
        return self._name

    def is_default(self):
        return self._is_default

    def is_gpu_machine(self):
        return self._is_gpu
