__all__ = 'ProjectInstanceBuilderFactory'

from abc import abstractmethod

from gm_meta_plugin.plugin_accessor import PluginAccessor


class ProjectInstanceBuilderFactory(PluginAccessor):

    def __init__(self, plugin):
        PluginAccessor.__init__(self, plugin)

    @abstractmethod
    def get_project_instance_builder(self,
                                     project_definition_schema):
        raise NotImplementedError
