import pathlib

PROGRAM_NAME = "Submit2GM"
APP_DESCRIPTION = ""
BANNER_URL = "https://www.gridmarkets.com/contact-us"
HELP_URL = "https://www.gridmarkets.com/faq"

ASSETS_DIRECTORY = pathlib.Path(__file__).parent / pathlib.Path("assets")
FONTS_DIRECTORY = ASSETS_DIRECTORY / pathlib.Path("fonts")
ICONS_DIRECTORY = ASSETS_DIRECTORY / pathlib.Path("icons")
IMAGES_DIRECTORY = ASSETS_DIRECTORY / pathlib.Path("images")

USE_DAEMON_FLAG = '--use-daemon'
FORCE_USE_EXISTING_DAEMON = '--force-use-existing-daemon'
UNKNOWN_CLI_ARGS = [USE_DAEMON_FLAG, FORCE_USE_EXISTING_DAEMON]

JOB_DEFINITION_ID_FLAG = '--job-definition-id'
CLI_LOGGER_ID = 'cli'

COMMAND_PORT_SERVER_TIMEOUT = (10, 10)  # (connect, read)
COMMAND_PORT_SERVER_TIMEOUT_KEEP_ALIVE_TOKEN = b'_'

UNIX_FILE_SOCKET_ADDRESS = '/tmp/submit2gm_unix_file_socket.sock'

WIN_PIPE_PIPE_ACCESS_DUPLEX = 0x3
WIN_PIPE_PIPE_TYPE_MESSAGE = 0x4
WIN_PIPE_PIPE_UNLIMITED_INSTANCES = 255
WIN_PIPE_PIPE_WAIT = 0x0
WIN_PIPE_PIPE_NOWAIT = 0x1
WIN_PIPE_GENERIC_READ = 0x80000000
WIN_PIPE_GENERIC_WRITE = 0x40000000
WIN_PIPE_CREATE_NEW = 0x1
WIN_PIPE_OPEN_EXISTING = 0x3
WIN_PIPE_INVALID_HANDLE_VALUE = -1
WIN_PIPE_PIPE_READMODE_MESSAGE = 0x2
WIN_PIPE_ERROR_BROKEN_PIPE = 0x109
WIN_PIPE_ERROR_PIPE_LISTENING = 0x218
WIN_PIPE_ERROR_PIPE_BUSY = 231
WIN_PIPE_ERROR_PIPE_NOT_CONNECTED = 233
WIN_PIPE_ERROR_MORE_DATA = 234
WIN_PIPE_ERROR_PIPE_CONNECTED = 535
WIN_PIPE_CLIENT_BUFSIZE = 2048
WIN_PIPE_SERVER_BUFSIZE = 2048
WIN_PIPE_NMPWAIT_USE_DEFAULT_WAIT = 0
WIN_PIPE_NAME = b"\\\\.\\pipe\\submit2gm"
WIN_PIPE_MESSAGE_SEPARATOR = b'\n\n'
