__all__ = 'Submit2GMUserInterface'

from .submit2gm_dyn.maya import maya_constants
from . import constants
from gm_qt_plugin import qt_constants
from gm_qt_plugin import QtUserInterface


class Submit2GMUserInterface(QtUserInterface):

    def get_icon(self):
        return qt_constants.GM_ICON_BLACK_AND_WHITE

    def get_left_banner_image(self):
        from PySide2 import QtGui
        return QtGui.QPixmap(str(""))

    def get_left_banner_link(self):
        return constants.BANNER_URL

    def get_help_url(self):
        return constants.HELP_URL
