__all__ = 'APISchemaFactory'


import typing

from .api_schema import APISchema

if typing.TYPE_CHECKING:
    from .submit2gm_plugin import Submit2gmPlugin
    from .job_definition import JobDefinition


class APISchemaFactory(object):

    def __init__(self):
        pass

    def get_api_schema(self,
                       plugin: 'Submit2gmPlugin',
                       job_definitions: typing.List['JobDefinition']):
        return APISchema(plugin, job_definitions)

