__all__ = 'InvalidUserError'

from .plugin_error import PluginError


class InvalidUserError(PluginError):
    """ An error to throw after an invalid input. Used alongside the GM client errors. """

    def __init__(self, message: str = None):
        PluginError.__init__(self, message)
