__all__ = 'UnsupportedApplicationError'

from .plugin_error import PluginError


class UnsupportedApplicationError(PluginError):
    """
    Throw when trying to submit using a invalid app_type or app type and version combination
    """

    def __init__(self, message: str):
        PluginError.__init__(self, message)
