__all__ = 'FactoryCollection'

import typing
if typing.TYPE_CHECKING:
    from .api_schema_factory import APISchemaFactory


class FactoryCollection:

    def __init__(self,api_schema_factory: 'APISchemaFactory'):

        self._api_schema_factory = api_schema_factory

    def get_api_schema_factory(self) -> 'APISchemaFactory':
        return self._api_schema_factory
