__all__ = 'MachineOption'


class MachineOption:

    def __init__(self, machine_id: str, name: str, is_default: bool, is_gpu: bool):
        self._machine_id = machine_id
        self._name = name
        self._is_default = is_default
        self._is_gpu = is_gpu

    def get_id(self) -> str:
        return self._machine_id

    def get_name(self) -> str:
        return self._name

    def is_default(self) -> bool:
        return self._is_default

    def is_gpu_machine(self) -> bool:
        return self._is_gpu
