__all__ = 'ClickableQLabel'

from PySide2 import QtCore
from PySide2 import QtWidgets
import typing

if typing.TYPE_CHECKING:
    from PySide2 import QtGui


class ClickableQLabel(QtWidgets.QLabel):

    # Signals
    clicked = QtCore.Signal()

    def mousePressEvent(self, event: 'QtGui.QMouseEvent') -> None:
        self.clicked.emit()
