__all__ = 'JobPresetValidator'

from gm_meta_plugin.plugin_accessor import PluginAccessor

import abc
import typing


if typing.TYPE_CHECKING:
    from gm_meta_plugin.dynamic_job_preset import DynamicJobPreset


class JobPresetValidator(PluginAccessor):

    @abc.abstractmethod
    def validate(self, job_preset: 'DynamicJobPreset') -> typing.Tuple[bool, str]:
        raise NotImplementedError
