__all__ = 'ProjectAttributeInstanceFactory'

from abc import abstractmethod
from .plugin_accessor import PluginAccessor


class ProjectAttributeInstanceFactory(PluginAccessor):

    def __init__(self, plugin):
        PluginAccessor.__init__(self, plugin)

    @abstractmethod
    def get_project_attribute_instance(self, project_attribute):
        raise NotImplementedError
