__all__ = 'SceneExporter'

from abc import abstractmethod

from .plugin_accessor import PluginAccessor


class SceneExporter(PluginAccessor):

    def __init__(self, plugin):
        PluginAccessor.__init__(self, plugin)

    @abstractmethod
    def export(self, output_dir):
        raise NotImplementedError
