from gm_meta_plugin import PluginFetcher as MetaPluginFetcher


class PluginFetcher(MetaPluginFetcher):

    _plugin = None

    @staticmethod
    def get_plugin():
        from submit2gm.submit2gm_plugin import Submit2gmPlugin

        if PluginFetcher._plugin is None:
            PluginFetcher._plugin = Submit2gmPlugin()

        return PluginFetcher._plugin

    @staticmethod
    def get_plugin_if_initialised():

        if PluginFetcher._plugin is None:
            return None

        return PluginFetcher._plugin

    @staticmethod
    def delete_cached_plugin():
        if PluginFetcher._plugin:
            PluginFetcher._plugin = None
